package com.ym.mec.biz.event;

import com.ym.mec.biz.dal.enums.GroupType;
import org.springframework.context.ApplicationEvent;

/**
 * @Author Joburgess
 * @Date 2020.09.24
 */
public class StudentCourseChangeEvent extends ApplicationEvent {

    private Integer[] userIds;

    private String groupId;

    private GroupType groupType;

    public StudentCourseChangeEvent(Object source, String groupId, GroupType groupType, Integer... userIds) {
        super(source);
        this.userIds = userIds;
        this.groupId = groupId;
        this.groupType = groupType;
    }

    public Integer[] getUserId() {
        return userIds;
    }

    public String getGroupId() {
        return groupId;
    }

    public GroupType getGroupType() {
        return groupType;
    }
}
